Skip to content

upsertCustomerItemPriceOverride

DESTRUCTIVE

Upsert customer item price override.

POST /api/v1/sales/upsertCustomerItemPriceOverride
curl -X POST '<your-host>/api/v1/sales/upsertCustomerItemPriceOverride' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "breaks": [],
    "active": true,
    "applyRulesOnTop": true
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "customerId": {
      "type": "string"
    },
    "customerTypeId": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "breaks": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "quantity": {
            "type": "number"
          },
          "overridePrice": {
            "type": "number"
          },
          "active": {
            "type": "boolean"
          }
        },
        "required": [
          "quantity",
          "overridePrice",
          "active"
        ]
      }
    },
    "active": {
      "type": "boolean"
    },
    "applyRulesOnTop": {
      "type": "boolean"
    },
    "notes": {
      "type": "string"
    },
    "validFrom": {
      "type": "string"
    },
    "validTo": {
      "type": "string"
    }
  },
  "required": [
    "itemId",
    "breaks",
    "active",
    "applyRulesOnTop"
  ]
}